By r0gu3Sec | November 11, 2016 - 06:14 | Posted in CyberGuerrilla | Comments Off on A pearl from “Reddit” ;) Warning: 2016 MacBook Pro is not compatible with Linux
A pearl from “Reddit” ;) Warning: 2016 MacBook Pro is not compatible with Linux

Warning: 2016 MacBook Pro is not compatible with Linux

reddit

submitted by hot2

Problems so far,

intremap=nosid is required to even boot with Linux. Otherwise you get a black screen after GRUB.

Built in keyboard and mouse not working. Only the power key works to force reboot (non-touchbar). There’s a patch for the 2015 MacBook that may or may not work here:

https://github.com/cb22/macbook12-spi-driver

Worst of all, the NVMe SSD has the wrong PCI class ID, so it won’t work as a boot drive.

https://bugzilla.kernel.org/show_bug.cgi?id=99891#c11

The internal drive does not show up in the Ubuntu installer at all. It’s basically unusable as a Linux laptop. I have a $2800 disappointment.

____________________________________________________

[–]heebiejeebies_ferret 282 points

 

You spent $2800 on a brand-new laptop (a brand known to have various issues with Linux) in order to run Linux on it, without investigating compatibility first? O_o

You are a much braver (and richer) person than I am!

(Visited 171 times, 1 visits today)


  • You can follow any responses to this entry through the RSS 2.0 feed.
  • Both comments and pings are currently closed.

This Post is Tagged with: